using DataAccessLibrary.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GolfComp.ViewModels
{
    public class SpelerViewModel
    {
        public SpelerViewModel(SpelerModel spelmodel)
        {
            SpelModel = spelmodel ?? new SpelerModel();
        }
        internal SpelerModel SpelModel { get; set; }

        
        
        internal bool IsModified { get; set; }

        public string Voornaam
        {
            get => SpelModel.Voornaam;
            set
            {
                if(value != SpelModel.Voornaam)
                {
                    SpelModel.Voornaam = value;
                    IsModified = true;
                }
            }
        }
        public string Achternaam
        {
            get => SpelModel.Achternaam;
            set
            {
                if (value != SpelModel.Achternaam)
                {
                    SpelModel.Achternaam = value;
                    IsModified = true;
                }
            }
        }
        public double Handicap
        {
            get => SpelModel.Handicap;
            set
            {
                if (value != SpelModel.Handicap)
                {
                    SpelModel.Handicap =value;
                    IsModified = true;
                }
            }
        }
        public string Telefoon
        {
            get => SpelModel.Telefoon;
            set
            {
                if (value != SpelModel.Telefoon)
                {
                    SpelModel.Telefoon = value;
                    IsModified = true;
                }
            }
        }
        public string Email
        {
            get => SpelModel.Email;
            set
            {
                if (value != SpelModel.Email)
                {
                    SpelModel.Email = value;
                    IsModified = true;
                }
            }
        }
        public int ClubId
        {
            get => SpelModel.ClubId;
            set
            {
                if (value != SpelModel.ClubId)
                {
                    SpelModel.ClubId = value;
                    IsModified = true;
                }
            }
        }

       
        public int TeamId
        {
            get => SpelModel.TeamId;
            set
            {
                if (value != SpelModel.TeamId)
                {
                    SpelModel.TeamId = value;
                    IsModified = true;
                }
            }
        }
        public int PuntenVoor
        {
            get => SpelModel.PuntenVoor;
            set
            {
                if (value != SpelModel.PuntenVoor)
                {
                    SpelModel.PuntenVoor = value;
                    IsModified = true;
                }
            }
        }
        public int PuntenTegen
        {
            get => SpelModel.PuntenTegen;
            set
            {
                if (value != SpelModel.PuntenTegen)
                {
                    SpelModel.PuntenTegen = value;
                    IsModified = true;
                }
            }
        }

    }

    



    

}
